Index: /trunk/src/bp-core/admin/bp-core-admin-components.php
===================================================================
--- /trunk/src/bp-core/admin/bp-core-admin-components.php	(revision 10011)
+++ /trunk/src/bp-core/admin/bp-core-admin-components.php	(revision 10012)
@@ -2,5 +2,5 @@
 
 /**
- * BuddyPress Admin Component Functions
+ * BuddyPress Admin Component Functions.
  *
  * @package BuddyPress
@@ -236,5 +236,5 @@
 
 /**
- * Handle saving the Component settings
+ * Handle saving the Component settings.
  *
  * @since BuddyPress (1.6.0)
@@ -278,5 +278,5 @@
 
 /**
- * Calculates the components that should be active after save, based on submitted settings
+ * Calculates the components that should be active after save, based on submitted settings.
  *
  * The way that active components must be set after saving your settings must
@@ -299,6 +299,7 @@
  * @since BuddyPress (1.7.0)
  *
- * @param array This is the array of component settings coming from the POST
- *   global. You should stripslashes_deep() before passing to this function
+ * @param array $submitted This is the array of component settings coming from the POST
+ *                         global. You should stripslashes_deep() before passing to this function.
+ *
  * @return array The calculated list of component settings
  */
@@ -337,5 +338,5 @@
 
 /**
- * Return a list of component information, optionally filtered by type
+ * Return a list of component information, optionally filtered by type.
  *
  * We use this information both to build the markup for the admin screens, as
@@ -344,5 +345,6 @@
  * @since BuddyPress (1.7.0)
  *
- * @param string $type 'all', 'optional', 'retired', 'required'
+ * @param string $type 'all', 'optional', 'retired', 'required'.
+ *
  * @return array An array of requested component data
  */
Index: /trunk/src/bp-core/admin/bp-core-admin-functions.php
===================================================================
--- /trunk/src/bp-core/admin/bp-core-admin-functions.php	(revision 10011)
+++ /trunk/src/bp-core/admin/bp-core-admin-functions.php	(revision 10012)
@@ -2,5 +2,5 @@
 
 /**
- * BuddyPress Common Admin Functions
+ * BuddyPress Common Admin Functions.
  *
  * @package BuddyPress
@@ -115,5 +115,5 @@
 
 /**
- * Print admin messages to admin_notices or network_admin_notices
+ * Print admin messages to admin_notices or network_admin_notices.
  *
  * BuddyPress combines all its messages into a single notice, to avoid a preponderance of yellow
@@ -122,5 +122,5 @@
  * @since BuddyPress (1.5.0)
  *
- * @uses bp_current_user_can() to check current user permissions before showing the notices
+ * @uses bp_current_user_can() to check current user permissions before showing the notices.
  * @uses bp_is_root_blog()
  */
@@ -159,5 +159,5 @@
 
 /**
- * Add an admin notice to the BP queue
+ * Add an admin notice to the BP queue.
  *
  * Messages added with this function are displayed in BuddyPress's general purpose admin notices
@@ -168,5 +168,5 @@
  *
  * @param string $notice The notice you are adding to the queue.
- * @param string $type The notice type; optional. Usually either "updated" or "error".
+ * @param string $type   The notice type; optional. Usually either "updated" or "error".
  */
 function bp_core_add_admin_notice( $notice = '', $type = 'updated' ) {
@@ -190,10 +190,10 @@
 
 /**
- * Verify that some BP prerequisites are set up properly, and notify the admin if not
+ * Verify that some BP prerequisites are set up properly, and notify the admin if not.
  *
  * On every Dashboard page, this function checks the following:
- *   - that pretty permalinks are enabled
- *   - that every BP component that needs a WP page for a directory has one
- *   - that no WP page has multiple BP components associated with it
+ *   - that pretty permalinks are enabled.
+ *   - that every BP component that needs a WP page for a directory has one.
+ *   - that no WP page has multiple BP components associated with it.
  * The administrator will be shown a notice for each check that fails.
  *
@@ -328,16 +328,16 @@
 
 /**
- * Redirect user to BuddyPress's What's New page on activation
+ * Redirect user to BuddyPress's What's New page on activation.
  *
  * @since BuddyPress (1.7.0)
  *
- * @internal Used internally to redirect BuddyPress to the about page on activation
- *
- * @uses get_transient() To see if transient to redirect exists
- * @uses delete_transient() To delete the transient if it exists
- * @uses is_network_admin() To bail if being network activated
- * @uses wp_safe_redirect() To redirect
- * @uses add_query_arg() To help build the URL to redirect to
- * @uses admin_url() To get the admin URL to index.php
+ * @internal Used internally to redirect BuddyPress to the about page on activation.
+ *
+ * @uses get_transient() To see if transient to redirect exists.
+ * @uses delete_transient() To delete the transient if it exists.
+ * @uses is_network_admin() To bail if being network activated.
+ * @uses wp_safe_redirect() To redirect.
+ * @uses add_query_arg() To help build the URL to redirect to.
+ * @uses admin_url() To get the admin URL to index.php.
  */
 function bp_do_activation_redirect() {
@@ -369,7 +369,8 @@
 
 /**
- * Output the tabs in the admin area
+ * Output the tabs in the admin area.
  *
  * @since BuddyPress (1.5.0)
+ *
  * @param string $active_tab Name of the tab that is active. Optional.
  */
@@ -409,5 +410,8 @@
  *
  * @since BuddyPress (2.2.0)
+ *
  * @param string $active_tab Name of the tab that is active. Optional.
+ *
+ * @return string
  */
 function bp_core_get_admin_tabs( $active_tab = '' ) {
@@ -453,8 +457,10 @@
 
 /**
- * adds contextual help to BuddyPress admin pages
+ * adds contextual help to BuddyPress admin pages.
  *
  * @since BuddyPress (1.7.0)
  * @todo Make this part of the BP_Component class and split into each component
+ *
+ * @param string $screen
  */
 function bp_core_add_contextual_help( $screen = '' ) {
@@ -543,7 +549,11 @@
 
 /**
- * renders contextual help content to contextual help tabs
+ * renders contextual help content to contextual help tabs.
  *
  * @since BuddyPress (1.7.0)
+ *
+ * @param string $tab
+ *
+ * @return string
  */
 function bp_core_add_contextual_help_content( $tab = '' ) {
@@ -582,9 +592,9 @@
 
 /**
- * Add a separator to the WordPress admin menus
+ * Add a separator to the WordPress admin menus.
  *
  * @since BuddyPress (1.7.0)
  *
- * @uses bp_current_user_can() To check users capability on root blog
+ * @uses bp_current_user_can() To check users capability on root blog.
  */
 function bp_admin_separator() {
@@ -617,10 +627,11 @@
 
 /**
- * Tell WordPress we have a custom menu order
+ * Tell WordPress we have a custom menu order.
  *
  * @since BuddyPress (1.7.0)
- *
- * @param bool $menu_order Menu order
- * @uses bp_current_user_can() To check users capability on root blog
+ * @uses bp_current_user_can() To check users capability on root blog.
+ *
+ * @param bool $menu_order Menu order.
+ *
  * @return bool Always true
  */
@@ -636,10 +647,11 @@
 
 /**
- * Move our custom separator above our custom post types
+ * Move our custom separator above our custom post types.
  *
  * @since BuddyPress (1.7.0)
- *
- * @param array $menu_order Menu Order
- * @uses bp_current_user_can() To check users capability on root blog
+ * @uses bp_current_user_can() To check users capability on root blog.
+ *
+ * @param array $menu_order Menu Order.
+ *
  * @return array Modified menu order
  */
@@ -703,5 +715,5 @@
 
 /**
- * When using a WP_List_Table, get the currently selected bulk action
+ * When using a WP_List_Table, get the currently selected bulk action.
  *
  * WP_List_Tables have bulk actions at the top and at the bottom of the tables,
@@ -710,4 +722,5 @@
  *
  * @since BuddyPress (1.7.0)
+ *
  * @return string
  */
@@ -727,5 +740,5 @@
 
 /**
- * Register meta box and associated JS for BuddyPress WP Nav Menu .
+ * Register meta box and associated JS for BuddyPress WP Nav Menu.
  *
  * @since BuddyPress (1.9.0)
@@ -833,6 +846,7 @@
  * @since BuddyPress (2.0.0)
  *
- * @param array $actions User row action links.
+ * @param array  $actions     User row action links.
  * @param object $user_object Current user information.
+ *
  * @return array $actions User row action links.
  */
Index: /trunk/src/bp-core/admin/bp-core-admin-schema.php
===================================================================
--- /trunk/src/bp-core/admin/bp-core-admin-schema.php	(revision 10011)
+++ /trunk/src/bp-core/admin/bp-core-admin-schema.php	(revision 10012)
@@ -2,5 +2,5 @@
 
 /**
- * BuddyPress DB schema
+ * BuddyPress DB schema.
  *
  * @package BuddyPress
@@ -12,10 +12,10 @@
 
 /**
- * Get the DB schema to use for BuddyPress components
+ * Get the DB schema to use for BuddyPress components.
  *
  * @since BuddyPress (1.1.0)
  *
  * @global $wpdb $wpdb
- * @return string The default database character-set, if set
+ * @return string The default database character-set, if set.
  */
 function bp_core_set_charset() {
@@ -28,5 +28,5 @@
 
 /**
- * Main installer
+ * Main installer.
  *
  * Can be passed an optional array of components to explicitly run installation
@@ -35,5 +35,5 @@
  * @since BuddyPress (1.0.0)
  *
- * @param array $active_components Components to install
+ * @param array|bool $active_components Components to install.
  */
 function bp_core_install( $active_components = false ) {
@@ -86,5 +86,5 @@
 
 /**
- * Install database tables for the Notifications component
+ * Install database tables for the Notifications component.
  *
  * @since BuddyPress (1.0.0)
@@ -130,5 +130,5 @@
 
 /**
- * Install database tables for the Activity component
+ * Install database tables for the Activity component.
  *
  * @since BuddyPress (1.0.0)
@@ -183,5 +183,5 @@
 
 /**
- * Install database tables for the Notifications component
+ * Install database tables for the Notifications component.
  *
  * @since BuddyPress (1.0.0)
@@ -211,5 +211,5 @@
 
 /**
- * Install database tables for the Groups component
+ * Install database tables for the Groups component.
  *
  * @since BuddyPress (1.0.0)
@@ -271,5 +271,5 @@
 
 /**
- * Install database tables for the Messages component
+ * Install database tables for the Messages component.
  *
  * @since BuddyPress (1.0.0)
@@ -331,5 +331,5 @@
 
 /**
- * Install database tables for the Profiles component
+ * Install database tables for the Profiles component.
  *
  * @since BuddyPress (1.0.0)
@@ -421,5 +421,5 @@
 
 /**
- * Install database tables for the Sites component
+ * Install database tables for the Sites component.
  *
  * @since BuddyPress (1.0.0)
@@ -501,5 +501,5 @@
  * This is necessary because WordPress's `pre_schema_upgrade()` function wraps
  * table ALTER's in multisite checks, and other plugins may have installed their
- * own sign-ups table; Eg: Gravity Forms User Registration Add On
+ * own sign-ups table; Eg: Gravity Forms User Registration Add On.
  *
  * @since BuddyPress (2.0.1)
Index: /trunk/src/bp-core/admin/bp-core-admin-settings.php
===================================================================
--- /trunk/src/bp-core/admin/bp-core-admin-settings.php	(revision 10011)
+++ /trunk/src/bp-core/admin/bp-core-admin-settings.php	(revision 10012)
@@ -2,5 +2,5 @@
 
 /**
- * BuddyPress Admin Settings
+ * BuddyPress Admin Settings.
  *
  * @package BuddyPress
@@ -12,5 +12,5 @@
 
 /**
- * Main settings section description for the settings page
+ * Main settings section description for the settings page.
  *
  * @since BuddyPress (1.6.0)
@@ -19,9 +19,9 @@
 
 /**
- * Admin bar for logged out users setting field
- *
- * @since BuddyPress (1.6.0)
- *
- * @uses bp_form_option() To output the option value
+ * Admin bar for logged out users setting field.
+ *
+ * @since BuddyPress (1.6.0)
+ *
+ * @uses bp_form_option() To output the option value.
  */
 function bp_admin_setting_callback_admin_bar() {
@@ -35,9 +35,9 @@
 
 /**
- * Allow members to delete their accounts setting field
- *
- * @since BuddyPress (1.6.0)
- *
- * @uses checked() To display the checked attribute
+ * Allow members to delete their accounts setting field.
+ *
+ * @since BuddyPress (1.6.0)
+ *
+ * @uses checked() To display the checked attribute.
  */
 function bp_admin_setting_callback_account_deletion() {
@@ -53,5 +53,5 @@
 
 /**
- * Groups settings section description for the settings page
+ * Groups settings section description for the settings page.
  *
  * @since BuddyPress (1.6.0)
@@ -60,9 +60,9 @@
 
 /**
- * Allow Akismet setting field
- *
- * @since BuddyPress (1.6.0)
- *
- * @uses checked() To display the checked attribute
+ * Allow Akismet setting field.
+ *
+ * @since BuddyPress (1.6.0)
+ *
+ * @uses checked() To display the checked attribute.
  */
 function bp_admin_setting_callback_activity_akismet() {
@@ -76,5 +76,5 @@
 
 /**
- * Allow activity comments on blog posts and forum posts
+ * Allow activity comments on blog posts and forum posts.
  *
  * @since BuddyPress (1.6.0)
@@ -104,5 +104,5 @@
 
 /**
- * Sanitization for bp-disable-blogforum-comments setting
+ * Sanitization for bp-disable-blogforum-comments setting.
  *
  * In the UI, a checkbox asks whether you'd like to *enable* blog/forum activity comments. For
@@ -111,4 +111,8 @@
  *
  * @since BuddyPress (1.6.0)
+ *
+ * @param bool $value
+ *
+ * @return bool
  */
 function bp_admin_sanitize_callback_blogforum_comments( $value = false ) {
@@ -119,5 +123,5 @@
 
 /**
- * Profile settings section description for the settings page
+ * Profile settings section description for the settings page.
  *
  * @since BuddyPress (1.6.0)
@@ -126,9 +130,9 @@
 
 /**
- * Enable BP->WP profile syncing field
- *
- * @since BuddyPress (1.6.0)
- *
- * @uses bp_form_option() To output the option value
+ * Enable BP->WP profile syncing field.
+ *
+ * @since BuddyPress (1.6.0)
+ *
+ * @uses bp_form_option() To output the option value.
  */
 function bp_admin_setting_callback_profile_sync() {
@@ -142,9 +146,9 @@
 
 /**
- * Allow members to upload avatars field
- *
- * @since BuddyPress (1.6.0)
- *
- * @uses checked() To display the checked attribute
+ * Allow members to upload avatars field.
+ *
+ * @since BuddyPress (1.6.0)
+ *
+ * @uses checked() To display the checked attribute.
  */
 function bp_admin_setting_callback_avatar_uploads() {
@@ -160,5 +164,5 @@
 
 /**
- * Groups settings section description for the settings page
+ * Groups settings section description for the settings page.
  *
  * @since BuddyPress (1.6.0)
@@ -167,9 +171,9 @@
 
 /**
- * Allow all users to create groups field
- *
- * @since BuddyPress (1.6.0)
- *
- * @uses checked() To display the checked attribute
+ * Allow all users to create groups field.
+ *
+ * @since BuddyPress (1.6.0)
+ *
+ * @uses checked() To display the checked attribute.
  */
 function bp_admin_setting_callback_group_creation() {
@@ -198,5 +202,5 @@
 
 /**
- * Forums settings section description for the settings page
+ * Forums settings section description for the settings page.
  *
  * @since BuddyPress (1.6.0)
@@ -205,10 +209,10 @@
 
 /**
- * bb-config.php location field
- *
- * @since BuddyPress (1.6.0)
- * @uses checked() To display the checked attribute
- * @uses bp_get_option() To get the config location
- * @uses bp_form_option() To get the sanitized form option
+ * bb-config.php location field.
+ *
+ * @since BuddyPress (1.6.0)
+ * @uses checked() To display the checked attribute.
+ * @uses bp_get_option() To get the config location.
+ * @uses bp_form_option() To get the sanitized form option.
  */
 function bp_admin_setting_callback_bbpress_configuration() {
@@ -238,7 +242,7 @@
  * @since BuddyPress (1.6.0)
  *
- * @uses screen_icon() To display the screen icon
- * @uses settings_fields() To output the hidden fields for the form
- * @uses do_settings_sections() To output the settings sections
+ * @uses screen_icon() To display the screen icon.
+ * @uses settings_fields() To output the hidden fields for the form.
+ * @uses do_settings_sections() To output the settings sections.
  */
 function bp_core_admin_settings() {
@@ -271,5 +275,5 @@
 
 /**
- * Save our settings
+ * Save our settings.
  *
  * @since BuddyPress (1.6.0)
@@ -318,5 +322,5 @@
 
 /**
- * Output settings API option
+ * Output settings API option.
  *
  * @since BuddyPress (1.6.0)
@@ -326,5 +330,5 @@
  * @param string $option
  * @param string $default
- * @param bool $slug
+ * @param bool   $slug
  */
 function bp_form_option( $option, $default = '' , $slug = false ) {
@@ -342,5 +346,7 @@
 	 * @param string $option
 	 * @param string $default
-	 * @param bool $slug
+	 * @param bool   $slug
+	 *
+	 * @return string
 	 */
 	function bp_get_form_option( $option, $default = '', $slug = false ) {
Index: /trunk/src/bp-core/admin/bp-core-admin-slugs.php
===================================================================
--- /trunk/src/bp-core/admin/bp-core-admin-slugs.php	(revision 10011)
+++ /trunk/src/bp-core/admin/bp-core-admin-slugs.php	(revision 10012)
@@ -2,5 +2,5 @@
 
 /**
- * BuddyPress Admin Slug Functions
+ * BuddyPress Admin Slug Functions.
  *
  * @package BuddyPress
@@ -215,5 +215,5 @@
 
 /**
- * Handle saving of the BuddyPress slugs
+ * Handle saving of the BuddyPress slugs.
  *
  * @since BuddyPress (1.6.0)
Index: /trunk/src/bp-core/admin/bp-core-admin-tools.php
===================================================================
--- /trunk/src/bp-core/admin/bp-core-admin-tools.php	(revision 10011)
+++ /trunk/src/bp-core/admin/bp-core-admin-tools.php	(revision 10012)
@@ -2,5 +2,5 @@
 
 /**
- * BuddyPress Tools panel
+ * BuddyPress Tools panel.
  *
  * @since BuddyPress (2.0.0)
@@ -261,5 +261,5 @@
 
 /**
- * Recalculate user-to-blog relationships and useful blog meta data
+ * Recalculate user-to-blog relationships and useful blog meta data.
  *
  * @since BuddyPress (2.1.0)
@@ -322,6 +322,8 @@
  * @since BuddyPress (2.0.0)
  *
- * @param string $message Feedback message.
- * @param unknown $class Unused.
+ * @param string      $message Feedback message.
+ * @param string|bool $class   Unused.
+ *
+ * @return bool
  */
 function bp_admin_tools_feedback( $message, $class = false ) {
Index: /trunk/src/bp-core/bp-core-actions.php
===================================================================
--- /trunk/src/bp-core/bp-core-actions.php	(revision 10011)
+++ /trunk/src/bp-core/bp-core-actions.php	(revision 10012)
@@ -46,5 +46,5 @@
 
 /**
- * bp_loaded - Attached to 'plugins_loaded' above
+ * bp_loaded - Attached to 'plugins_loaded' above.
  *
  * Attach various loader actions to the bp_loaded action.
@@ -61,5 +61,5 @@
 
 /**
- * bp_init - Attached to 'init' above
+ * bp_init - Attached to 'init' above.
  *
  * Attach various initialization actions to the bp_init action.
@@ -79,5 +79,5 @@
 
 /**
- * bp_template_redirect - Attached to 'template_redirect' above
+ * bp_template_redirect - Attached to 'template_redirect' above.
  *
  * Attach various template actions to the bp_template_redirect action.
@@ -96,5 +96,5 @@
 
 /**
- * Add the BuddyPress functions file
+ * Add the BuddyPress functions file.
  */
 add_action( 'bp_after_setup_theme', 'bp_load_theme_functions', 1 );
Index: /trunk/src/bp-core/bp-core-admin.php
===================================================================
--- /trunk/src/bp-core/bp-core-admin.php	(revision 10011)
+++ /trunk/src/bp-core/bp-core-admin.php	(revision 10012)
@@ -421,6 +421,7 @@
 	 * @since BuddyPress (1.6.0)
 	 *
-	 * @param array $links Links array in which we would prepend our link.
-	 * @param string $file Current plugin basename.
+	 * @param array  $links Links array in which we would prepend our link.
+	 * @param string $file  Current plugin basename.
+	 *
 	 * @return array Processed links.
 	 */
@@ -775,5 +776,5 @@
 
 	/**
-	 * Output welcome text and badge for What's New and Credits pages
+	 * Output welcome text and badge for What's New and Credits pages.
 	 *
 	 * @since BuddyPress (2.2.0)
@@ -799,5 +800,5 @@
 
 	/**
-	 * Output tab navigation for `What's New` and `Credits` pages
+	 * Output tab navigation for `What's New` and `Credits` pages.
 	 *
 	 * @since BuddyPress (2.2.0)
@@ -821,9 +822,10 @@
 
 	/**
-	 * Return true/false based on whether a query argument is set
+	 * Return true/false based on whether a query argument is set.
 	 *
 	 * @see bp_do_activation_redirect()
 	 *
 	 * @since BuddyPress (2.2.0)
+	 *
 	 * @return bool
 	 */
@@ -833,7 +835,8 @@
 
 	/**
-	 * Return a user-friendly version-number string, for use in translations
+	 * Return a user-friendly version-number string, for use in translations.
 	 *
 	 * @since BuddyPress (2.2.0)
+	 *
 	 * @return string
 	 */
Index: /trunk/src/bp-core/bp-core-adminbar.php
===================================================================
--- /trunk/src/bp-core/bp-core-adminbar.php	(revision 10011)
+++ /trunk/src/bp-core/bp-core-adminbar.php	(revision 10012)
@@ -111,5 +111,5 @@
 
 /**
- * Enqueue supplemental WordPress Toolbar styling
+ * Enqueue supplemental WordPress Toolbar styling.
  *
  * @since BuddyPress (2.1.0)
Index: /trunk/src/bp-core/bp-core-attachments.php
===================================================================
--- /trunk/src/bp-core/bp-core-attachments.php	(revision 10011)
+++ /trunk/src/bp-core/bp-core-attachments.php	(revision 10012)
@@ -19,5 +19,5 @@
  * @since  BuddyPress (2.3.0)
  *
- * @return bool True if WordPress is 3.9+, false otherwise
+ * @return bool True if WordPress is 3.9+, false otherwise.
  */
 function bp_attachments_is_wp_version_supported() {
@@ -26,9 +26,9 @@
 
 /**
- * Get the BuddyPress Plupload settings
- *
- * @since  BuddyPress (2.3.0)
- *
- * @return array list of BuddyPress Plupload settings
+ * Get the BuddyPress Plupload settings.
+ *
+ * @since  BuddyPress (2.3.0)
+ *
+ * @return array list of BuddyPress Plupload settings.
  */
 function bp_attachments_get_plupload_default_settings() {
@@ -84,9 +84,9 @@
 
 /**
- * Builds localization strings for the BuddyPress Uploader scripts
- *
- * @since  BuddyPress (2.3.0)
- *
- * @return array Plupload default localization strings
+ * Builds localization strings for the BuddyPress Uploader scripts.
+ *
+ * @since  BuddyPress (2.3.0)
+ *
+ * @return array Plupload default localization strings.
  */
 function bp_attachments_get_plupload_l10n() {
@@ -120,12 +120,14 @@
 
 /**
- * Enqueues the script needed for the Uploader UI
+ * Enqueues the script needed for the Uploader UI.
  *
  * @see  BP_Attachment::script_data() && BP_Attachment_Avatar::script_data() for examples showing how
- * to set specific script data
- *
- * @since  BuddyPress (2.3.0)
- *
- * @param  string $class name of the class extending BP_Attachment (eg: BP_Attachment_Avatar)
+ * to set specific script data.
+ *
+ * @since  BuddyPress (2.3.0)
+ *
+ * @param  string $class name of the class extending BP_Attachment (eg: BP_Attachment_Avatar).
+ *
+ * @return null|WP_Error
  */
 function bp_attachments_enqueue_scripts( $class = '' ) {
@@ -240,5 +242,5 @@
 
 		/**
-		 * Use this filter to add a navigation to a custom tool to set the object's avatar
+		 * Use this filter to add a navigation to a custom tool to set the object's avatar.
 		 *
 		 * @since BuddyPress (2.3.0)
@@ -246,10 +248,10 @@
 		 * @param array $avatar_nav An associative array of available nav items where each item is an array organized this way:
 		 * $avatar_nav[ $nav_item_id ] {
-		 *     @type string $nav_item_id the nav item id in lower case without special characters or space
-		 *     @type string $caption     the name of the item nav that will be displayed in the nav
-		 *     @type int    $order       An integer to specify the priority of the item nav, choose one
-		 *                               between 1 and 99 to be after the uploader nav item and before the delete nav item
-		 *     @type int    $hide        if set to 1 the item nav will be hidden
-		 *                               (only used for the delete nav item)
+		 *     @type string $nav_item_id The nav item id in lower case without special characters or space.
+		 *     @type string $caption     The name of the item nav that will be displayed in the nav.
+		 *     @type int    $order       An integer to specify the priority of the item nav, choose one.
+		 *                               between 1 and 99 to be after the uploader nav item and before the delete nav item.
+		 *     @type int    $hide        If set to 1 the item nav will be hidden
+		 *                               (only used for the delete nav item).
 		 * }
 		 * @param string $object the object the avatar belongs to (eg: user or group)
@@ -298,5 +300,5 @@
 	 * to avoid the scripts to be loaded more than once.
 	 *
-	 * @since BuddyPress 2.3.0
+	 * @since BuddyPress (2.3.0)
 	 */
 	do_action( 'bp_attachments_enqueue_scripts' );
@@ -304,10 +306,12 @@
 
 /**
- * Check the current user's capability to edit an avatar for a given object
- *
- * @since  BuddyPress (2.3.0)
- *
- * @param  string $capability the capability to check
- * @param  array  $args an array containing the item_id and the object to check
+ * Check the current user's capability to edit an avatar for a given object.
+ *
+ * @since  BuddyPress (2.3.0)
+ *
+ * @param  string $capability The capability to check.
+ * @param  array  $args       An array containing the item_id and the object to check.
+ *
+ * @return bool
  */
 function bp_attachments_current_user_can( $capability, $args = array() ) {
@@ -351,7 +355,7 @@
  * @since  BuddyPress (2.3.0)
  *
- * @param  bool true for a success, false otherwise
- * @param  bool true if the Plupload runtime used is html4, false otherwise.
- * @param  mixed $data Data to encode as JSON, then print and die.
+ * @param  bool  $success  True for a success, false otherwise.
+ * @param  bool  $is_html4 True if the Plupload runtime used is html4, false otherwise.
+ * @param  mixed $data     Data to encode as JSON, then print and die.
  */
 function bp_attachments_json_response( $success, $is_html4 = false, $data = null ) {
@@ -381,7 +385,9 @@
  * Get an Attachment template part.
  *
- * @since  BuddyPress (2.3.0)
- *
- * @param  string Template part slug. eg 'uploader' for 'uploader.php'.
+ * @since BuddyPress (2.3.0)
+ *
+ * @param string $slug Template part slug. eg 'uploader' for 'uploader.php'.
+ *
+ * @return bool
  */
 function bp_attachments_get_template_part( $slug ) {
